#!/bin/bash
swaymsg -t get_tree |
    jq -r '.nodes[].nodes[] | if .nodes then [recurse(.nodes[])] else [] end + .floating_nodes | .[] | select(.nodes==[]) | if .app_id then ((.app_id | tostring) + " -- " + .name) else .name end' |
    grep -v __i3_scratch |
    sed -e 's/^.*\-\- \(.*\)$/\1/' |
    sed -e 's/^\(.*\) [—-] .*$/\1/'|
    sed -e 's/^\([0-9]*\)\t*\(.*\)/\2 \1/' |
    wofi -s $HOME/.dotfiles/wofi/style.css -c \
<<<<<<< Updated upstream
        $HOME/.dotfiles/wofi/sidebar -d | {
=======
    $HOME/.dotfiles/wofi/sidebar -d | {
>>>>>>> Stashed changes
        read -r
        id=`echo $REPLY | rev | cut -d' ' -f1 | rev`
        swaymsg "[con_id=$id]" focus
    }
    echo $id $REPLY
